eric ide

Issue317

Classification
Title: Render failed editor string
Type: crash Product: eric6
Process
Priority: urgent    
Status: closed Resolution: works for me
Superseder: Nosy List: detlev, jorgeps
Assigned to: Keywords:

Created on 2020-01-28.07:42:51 by jorgeps, last changed by detlev.

Files
File Name Uploaded Description Remove
Screenshot_20200128_102933.png jorgeps, 2020-01-28.09:36:42
Messages (6.0)
msg1191 (view) Author: detlev Date: 2020-04-10.17:44:24
No further response from issue author.
msg1173 (view) Author: detlev Date: 2020-01-29.17:42:33
Please try to add a line

# -*- coding: utf-8 -*-

as the first line of your source file. I would like to see, if the character encoding is 
set correctly. All text drawing is done by the QScintilla editor widget. However, it might 
be initialized incorrectly, although I never saw such an issue on any of my systems 
(Windows 7 and 10, various Linux and macOS).

In which version did it work? What was updated since then?
msg1172 (view) Author: jorgeps Date: 2020-01-29.07:43:14
When starting eric6 in root user if it works correctly, I have also tried to reinstall QScintilla, but it does not work.
msg1171 (view) Author: jorgeps Date: 2020-01-29.07:41:14
Change the monospaced font and the problem persists. In previous versions this solution worked but in 20.1 no
msg1170 (view) Author: detlev Date: 2020-01-28.18:09:36
The screenshot indicates that you have a non-monospaced font configured. Try to change this 
and let me know. If the characters are still wrong, this is a QScintilla issue. In that 
case you should report it to the QScintilla mailing list because such an issue would be 
outside my area of influence.
msg1169 (view) Author: jorgeps Date: 2020-01-28.07:42:50
When I update the eric6 software, the code editor fails the text strings, showing the characters wrong.
History
Date User Action Args
2020-04-10 17:44:24detlevsetstatus: pending -> closed
resolution: works for me
messages: + msg1191
message_count: 5.0 -> 6.0
2020-02-22 11:37:13detlevsetstatus: open -> pending
2020-01-29 17:42:33detlevsetmessage_count: 4.0 -> 5.0
messages: + msg1173
2020-01-29 07:43:14jorgepssetmessage_count: 3.0 -> 4.0
messages: + msg1172
2020-01-29 07:41:14jorgepssetmessage_count: 2.0 -> 3.0
messages: + msg1171
2020-01-28 18:09:36detlevsetmessage_count: 1.0 -> 2.0
nosy: + detlev
messages: + msg1170
2020-01-28 18:07:39detlevsetstatus: new -> open
2020-01-28 09:36:42jorgepssetfiles: + Screenshot_20200128_102933.png
2020-01-28 07:42:51jorgepscreate